<?php

if ( ! defined('FREEPBX_IS_AUTH')) {
    die('No direct script access allowed');
}

/**
 * Добавдяет модуль в входящие маршруты
 * @param $exten
 *
 * @return array
 */
function pt1csmartivr_getdest($exten)
{
    return ['pt1csmartivr,' . $exten . ',1'];
}

/**
 * The destinations this module provides
 * returns a associative arrays with keys 'destination' and 'description'
 *
 * @return array
 */
function pt1csmartivr_destinations()
{
    $extens[] = ['destination' => 'ext-pt1csmartivr,${EXTEN},1', 'description' => 'Генерация IVR меню из 1С'];
    return $extens;
}

/**
 * Generates dialplan for smartivr We call this with retrieve_conf
 * @param $engine
 */
function pt1csmartivr_get_config($engine)
{
    global $ext;  // is this the best way to pass this?
    $pt1c = FreePBX::Pt1csmartivr();
    switch ($engine) {
        case 'asterisk':

            $exten       = 's';
            $context     = 'ext-pt1csmartivr';
            $db_data     = $pt1c->getConfig();
            $failover_extension = $db_data['failover_extension'];
            $module_extension = $db_data['extension']; //10000123


            $ext->add($context, $exten, '', new ext_agi('pt1csmartivr.agi'));
            $ext->add($context, $exten, '', new ext_goto($failover_extension));
            $ext->add($context, $exten, '', new ext_hangup(''));

            $exten = '_X!';
            $ext->add($context, $exten, '', new ext_agi('pt1csmartivr.agi'));
            $ext->add($context, $exten, '', new ext_goto($failover_extension));
            $ext->add($context, $exten, '', new ext_hangup(''));

            $exten = '_+X!';
            $ext->add($context, $exten, '', new ext_agi('pt1csmartivr.agi'));
            $ext->add($context, $exten, '', new ext_goto($failover_extension));
            $ext->add($context, $exten, '', new ext_hangup(''));

            $ext->add('from-internal', $module_extension, '', new ext_goto('ext-pt1csmartivr,'.$module_extension.',1'));
            break;
    }
}



